Bug 6584 - [defaults] enable raw printing?
: [defaults] enable raw printing?
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/cups)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-04-20 13:21 by
Modified: 2009-10-30 13:56 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-20 13:21:45
Надо бы исправить то, что приводит к необходимости читать FAQ:
https://faq.altlinux.ru/admin/question.php?action=single&aid=269
-- бишь включить по умолчанию обработку обработку raw data
(application/octet-stream).

Если этого делать нельзя, хотелось бы узнать причины.
------- Comment #1 From 2005-04-21 17:52:35 -------
не хорошо давать ссылки на админский интерфейс ;)
А причина очень проста - security.
Не хорошо на принтер отправлять данные произвольного вида и формы. Подробности
есть в документации на CUPS.
------- Comment #2 From 2005-04-26 19:18:36 -------
Уппппс... видимо, уже начинал убегать 8-(

re security -- знаешь, советы вида "выключите изврат, мы его сделали для
безопасности" действительно очень грустны.  Сделай тогда галку и off by default,
а в хелпе напишем разницу.
------- Comment #3 From 2005-04-26 19:26:53 -------
Я думаю имелся ввиду вот этот вопрос:
https://faq.altlinux.ru/index.php?action=single&aid=269
------- Comment #4 From 2005-05-13 11:59:46 -------
я ответил на этот вопрос.
------- Comment #5 From 2005-05-13 12:01:17 -------
всё-таки не надо совсем всё открывать по-умолчанию. Лучше это потом сделаем на
уровне конфигуратора.

А то у mdk cups вообще по умолчанию на всю сеть расшаривался. Они так делали до
первых security updates.
------- Comment #6 From 2005-05-13 13:04:37 -------
OK; перевесь тогда на модуль?
------- Comment #7 From 2005-08-30 02:20:34 -------
closing
------- Comment #8 From 2005-08-30 02:30:00 -------
closing
------- Comment #9 From 2007-10-31 16:17:18 -------
Установили на две системы последний cups (1.3.3)
К одной машине подключили принтер, на другой его настроили, но печать не пошла, 
с ошибкой
I [31/Oct/2007:21:33:45 +0300] [Job 3] Started 
backend /usr/lib/cups/backend/ipp (PID 7391)
I [31/Oct/2007:21:33:47 +0300] Started "/usr/lib/cups/cgi-bin/jobs.cgi" 
(pid=7407)
E [31/Oct/2007:21:33:48 +0300] [Job 3] Print file was not accepted (Unsupported 
format 'application/octet-stream'!)!
------- Comment #10 From 2007-10-31 17:57:22 -------
Повторюсь ... не надо включать raw в пакете ... надо делать это в installer ...
повесьте FR на пакет installer-desktop.
------- Comment #11 From 2007-10-31 20:18:31 -------
Мож тебе control тогда привесить?

Вообще уже кучка контролов набирается, которые бы хорошо дёргать вместе
группами.  Помнишь msec? :)
------- Comment #12 From 2007-11-01 00:47:28 -------
Я не пользуюсь installer, поэтому проку мне например от того, что будет 
настраивать - никакого.
Вот control это немного лучше. Но его за три года как не было, так и нет.
А он должен быть, потому что этот рычажок надо уметь из альтератора (где 
настраиваются принтеры) двигать.

>Не хорошо на принтер отправлять данные произвольного вида и формы. 
>Подробности есть в документации на CUPS.
Подробностей не нашёл.

И я вообще не понимаю, если raw data нехорошо пересылать по сети, почему это 
все делают?? Вполне можно было бы слать ps-файл на машину с принтером, а он бы 
там (локально!) преобразовывался в язык принтера.
------- Comment #13 From 2007-11-01 11:48:55 -------
(In reply to comment #12)
> Я не пользуюсь installer, поэтому проку мне например от того, что будет 
> настраивать - никакого.
> Вот control это немного лучше. Но его за три года как не было, так и нет.
> А он должен быть, потому что этот рычажок надо уметь из альтератора (где 
> настраиваются принтеры) двигать.

альтератор нынче cups не настраивает, проще оказалось использовать сам cups ;)
control на конфигурационные файлы находящиеся в режиме config(noreplace) - это
по моему изврат. Не надо превращать control в alterator ;)

Фишка оная мне кажется дистрибутиво-специфичной, а посему хорошо бы настраивать
её из инсталлера ...
> >Не хорошо на принтер отправлять данные произвольного вида и формы. 
> >Подробности есть в документации на CUPS.
> Подробностей не нашёл.

Искать неохота, но если кратко, идея в том, что если любой пользователь сможет
посылать на принтер данные в raw-формате, то злоумышленник может вывести принтер
из строя или сделать ещё какие нехорошие вещи ;)
Ведь у принтера управление всё идёт через один шнурок ;)

> 
> И я вообще не понимаю, если raw data нехорошо пересылать по сети, почему это 
> все делают?? Вполне можно было бы слать ps-файл на машину с принтером, а он бы 
> там (локально!) преобразовывался в язык принтера.

Если нехорошо выбрасываться из окон то почему все это делают?

------- Comment #14 From 2007-11-01 11:53:28 -------
Ещё добавлю ... необходимость настраивать raw-печать возникает по-моему
разумению только в ситуации, когда принтер шарится, а клиент при печати
использует локальные драйвера. Частенько это бывает при печати из под Windows.

При печати из под Linux - подобная кофигурация есть изврат.
При печати из под Windows - тут надо посмотреть повнимательнее, мне кажется
cups-овцы предлагали на этот случай какой-то особый драйвер.

Отюда мораль. Конфигурирование оное всегда делается ручками, админом и
сознательно, а стало быть не стоит открывать дырки по-умолчанию любым способом.
------- Comment #15 From 2007-11-01 22:00:08 -------
(In reply to comment #14)
> Ещё добавлю ... необходимость настраивать raw-печать возникает по-моему
> разумению только в ситуации, когда принтер шарится, а клиент при печати
> использует локальные драйвера. Частенько это бывает при печати из под Windows.
Да.

> Отюда мораль. Конфигурирование оное всегда делается ручками, админом и
> сознательно, а стало быть не стоит открывать дырки по-умолчанию любым способом.
Мне кажется другое: cups, который сейчас по умолчанию и так работает рутом;
ghostscript, который совсем не тривиален; прошивки принтеров -- всё это и так
требует сознания при сколь-нибудь ответственном подходе к безопасности печати.

Думаю, не мне тебе это рассказывать.

Здесь же -- никто разбираться и даже faq читать не будет, просто будет взят
дистрибутив, который печатает (особенно SOHO/Desktop и отчасти Junior).

Есть разумно закрученные гайки, а есть те, которые всё равно не решают проблемы,
если уж озадачиваться, но зато мешают жить.  Поскольку жизнь короче списка
проблем, эту вот гайку я бы по умолчанию открутил, а для сервера или по желанию
-- закручивал.

Так control делать?
------- Comment #16 From 2007-11-02 01:15:57 -------
(In reply to comment #14)
> Ещё добавлю ... необходимость настраивать raw-печать возникает по-моему
> разумению только в ситуации, когда принтер шарится, а клиент при печати
... 
> При печати из под Linux - подобная кофигурация есть изврат.
...
> Отюда мораль. Конфигурирование оное всегда делается ручками, админом и
> сознательно, а стало быть не стоит открывать дырки по-умолчанию любым 
способом.
Точно, мораль понял. Просто что-то не встречал описания как сделать принтер с 
одной машины доступным на другой...
------- Comment #17 From 2007-11-02 17:31:44 -------
попробуй сделать control ...
------- Comment #18 From 2009-09-30 19:40:56 -------
(В ответ на комментарий №14)
...
> При печати из под Windows - тут надо посмотреть повнимательнее, мне кажется
> cups-овцы предлагали на этот случай какой-то особый драйвер.
Я так понимаю, это в пакете cups-windows - туда запакован 32-битный PostScript
драйвер для Windows.
------- Comment #19 From 2009-10-06 14:55:15 -------
А что изменилось в cups 1.4.x?
Там больше нет /etc/cups/mime.convs, /etc/cups/mime.types
------- Comment #20 From 2009-10-30 13:56:31 -------
apparently wontfix